Bug Hunting Session
Bug 43338 - LibreOffice calc hangs when opening document with inaccessible URL(s)
Summary: LibreOffice calc hangs when opening document with inaccessible URL(s)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: notBibisectable
Depends on:
Blocks: File-Opening Hyperlink-Calc
  Show dependency treegraph
 
Reported: 2011-11-29 06:28 UTC by lbailey
Modified: 2019-10-18 02:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
list_bonus.ods (61.13 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-01-12 03:19 UTC, lbailey
Details
Attached document with only 4 links, used to triage the issue, flat format. (99.46 KB, application/vnd.oasis.opendocument.spreadsheet-flat-xml)
2016-06-22 13:33 UTC, Giuseppe Castagno (aka beppec56)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lbailey 2011-11-29 06:28:35 UTC
Bug:
If you attempt to open a file with embedded hyperlinks that are not accessible (URL not valid). LibreOffice never times out. Kill LibreOffice to close application.

Workround:
Start LibreOffice with network disabled or ethernet cable removed, file then loads.

Security:
LibreOffice should start with a warning about hyperlinks to external sources with the option to disable all external hyperlinks.
Comment 1 tester8 2012-01-11 13:57:51 UTC
Created attachment 55486 [details]
list_bonus.ods

NOT reproduced with

LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI

Please, attach sample document.
Comment 2 lbailey 2012-01-12 03:19:13 UTC
Hi,

Try this file...


Regards,

Lloyd.

On 11/01/12 21:57, bugzilla-daemon@freedesktop.org wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=43338
>
> --- Comment #1 from tester8<iamtester8@gmail.com>  2012-01-11 13:57:51 PST ---
> NOT reproduced with
>
> LOdev 3.5.0beta2
> 4ca392c-760cc4d-f39cf3d-1b2857e-60db978
> Ubuntu 10.04.3 x86
> Linux 2.6.32-37-generic Russian UI
>
> Please, attach sample document.
>
Comment 3 sasha.libreoffice 2012-04-27 05:34:28 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.2 on Fedora 64 bit (opening of this file takes more than 10 minut) and in 3.5.2 on Windows 7 32 bit (opens relatively quick, but freezes after loading)
Changing version to 3.3.4 as most early reproducible
Comment 4 Jorendc 2013-12-30 18:38:54 UTC
Still reproducible using W8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 8102d45911bf3c47ce7ee15d3db89b0024c3bff8
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-29_09:34:00
Comment 5 QA Administrators 2015-04-19 03:21:12 UTC Comment hidden (obsolete)
Comment 6 lbailey 2015-04-20 09:16:33 UTC
This problem is still present in LibreOffice_4.4.2.2-2 on ubuntu 14.04 LTS
Comment 7 Wim ter Haar (Spidey) 2015-11-27 18:28:52 UTC Comment hidden (off-topic)
Comment 8 Julien Nabet 2016-05-27 10:28:27 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

Giuseppe: thought you might be interested in this one.
Indeed, I noticed this line repeated n times:
warn:ucb.ucp.webdav:24962:1:ucb/source/ucp/webdav-neon/NeonSession.cxx:1699: Neon returned NE_ERROR, http response status code was: '404 Not Found'
which is normal if the url is broken but perhaps you may have some idea blocking the loading of external urls?
Comment 9 Giuseppe Castagno (aka beppec56) 2016-06-19 13:43:12 UTC
Seems interesting, going to take a deeper look.
Judging from the first few bits of analysis, seems tricky.
Comment 10 Giuseppe Castagno (aka beppec56) 2016-06-22 13:33:34 UTC
Created attachment 125831 [details]
Attached document with only 4 links, used to triage the issue, flat format.

More information follows.

The documents on comment 2 contains 1616 web links to be retrieved, the Calc sheet contains 834 row, the first 24 rows have no links.

To access the remote (not existent) image the links point to, the LO webdav ucp provider issues 1 PROFIND and 1 GET, making 2 Internet transactions.

On target server every access gets redirected, probably due to server configuration, so the above transaction figure is actually doubled, the number of total transaction are more than 6400.

I crafted a temporary fix for my tests, after successfully loading the bug document (it took ~40 sec.), LO became sluggish and very slow on responding even without accessing the Internet external link, probably there is something to be addressed elsewhere in LO as well.

As a side note, the http address LO is redirected to looks like this <http://www.ifm.pharmanord.dk//wstore/ifm/actions/edit.png>, the double '/' ('//') looks strange to me.
Comment 11 Giuseppe Castagno (aka beppec56) 2016-07-31 07:28:56 UTC
Tested with current daily master:

Version: 5.3.0.0.alpha0+
Build ID: cf0fea5546c9b6b30d18deb084ddaa5e08aad41b
CPU Threads: 2; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-07-30_23:31:05
Locale: en-US (en_US); Calc: group

The load time is around a minute.
After loading LO becomes slow on responding to user actions.

My changes are related to the way the WebDAV UCB provider manages the broken URL links, there is no user interaction.

I need some confirmation on the load time.
Link to daily builds: <http://dev-builds.libreoffice.org/daily/master>
Comment 12 Justin L 2016-12-26 13:41:33 UTC
unassigned due to lack of activity.
Still sluggish with seemingly endless looping of debug lines:
warn:ucb.ucp.webdav:2810:1322:ucb/source/ucp/webdav-neon/webdavcontent.cxx:4290: HEAD probably not implemented: fall back to a partial GET
warn:ucb.ucp.webdav:2810:1322:ucb/source/ucp/webdav-neon/NeonSession.cxx:1843: Neon returned NE_ERROR, http response status code was: 404 '404 Not Found'
warn:ucb.ucp.webdav:2810:1322:ucb/source/ucp/webdav-neon/webdavcontent.cxx:4202: OPTIONS - SC_NOT_FOUND for URL <http://ifm.pharmanord.dk/wstore/ifm/actions/edit.png>
Comment 13 QA Administrators 2018-01-03 03:36:20 UTC Comment hidden (obsolete)
Comment 14 Thomas Lendo 2018-10-17 20:11:38 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: d92319d2ffeaa65e31f923e0e9c7328b8d7c97bf
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 15 QA Administrators 2019-10-18 02:39:39 UTC
Dear lbailey,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug